Updated exp - cant create standalone for ios anymore

#1

Hi guys.

I am very very frustrated with expo right now.

I have one important major update that requires changing scheme in app.json, therefore, recompiling ipa and apk

Apk is online and running already, but for ios… so frustrated

When I ran exp build:ios, it failed, and it was suggested to me to update exp version, see, we rely on expo, CRNA is in RN default page, as the main guide instalation. If one is considering making a ground changing update, such as requiring users to have linux, or not having a “white space” in your computer, THIS SHOULD BE REALLY REALLY HIGHLIGHTED in the exp update sugestion.

And guys, come on, a whitespace in the username is causing this trouble? This should be fixed ASAP!

I have installed ubuntu on windows, ran all the commands, but my dev username has a whitespace
I am 30 minutes away from a meeting with an investor and guess what?

I am going to the meeting, without one important update, that integrates with our website.

Sorry guys, but you should have sent an e-mail alerting all the people that rely on you that expo does not have the same requirements anymore.

:confused:

I will try and get this fixed when I am back.

#2

Hi @fweffort sorry to hear you’re having trouble. Can you explain more about the breaking change that you’re hitting? exp should definitely work on Windows so if there’s a bug there we would like to know about it. Also we’ve never allowed whitespace in usernames as far as I’m aware so I don’t think we changed anything related to that recently.

#3

Hi Jesse.

I used to be able to use exp build:ios from windows without linux and/or having to worry about whitespaces in windows username.

Having to worry about such things is in my opinion is a breaking change on expo requirements and this sort of change, once again in my opinion, should have been warned with more emphasis.

The machine I used to generate standalone versions have never changed, and this was a fairly simple process.

I am sorry if I was rude, I was afraid I would lose the investment but everything went fine and I was able to handle the presentation without touching points on the new updates.

Thanks

#4

You mean the username on your OS? Honestly it’s hard to understand what’s going on without a more detailed error report. This sounds like it could be a bug but we need more information to tell what’s going on.

This sounds like a bug, not an intentional breaking change. Agree that if it was intentional we would have mentioned it in the release notes.

#5

here is the error

[exp] Validating Credentials...
[exp] Running: bash.exe -c PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin /mnt/c/Users/1513 IRON/AppData/Roaming/npm/node_modules/exp/node_modules/@expo/traveling-fastlane-linux/traveling-fastlane-1.4.5-linux-x86_64/validate_apple_credentials "fernandoweffortbr@gmail.com *********"
[exp] Error while gathering & validating credentials
[exp] {"result":"failure","reason":"Could not understand JSON reply from Ruby based local auth scripts","rawDump":"/bin/bash: /mnt/c/Users/1513: Is a directory\n"}
[exp] undefined
[exp] undefined

username in OS is “1513 IRON”

#6

Agree it looks like we need to escape that path. Can you open up a github issue?

#7

Hi guys.

I have 2 apps published in the appstore
com.bla <- for customers
com.bla.admin <- for managers

I am trying to run exp build:ios from the imac the com.bla app to the appstore
I am getting this error:

'Maximum number of certificates generated' or 'duplicate profiles'

then consider using the flags --revoke-apple-dist-certs, --revoke-apple-push-certs,
and --revoke-apple-provisioning-profile or go to developer.apple.com
and revoke those credentials manually

I have revoked the distribution certificate and the com.bla apple push services certificate and am still getting the same error

Is the com.bla.admin apple push services certificate somehow interfering?

Is there any guide on how to proceed with updates on existing standalone apps?

I have chosen “let expo handle certificates” the first time and I am starting to think that I shouldn’t have trusted expo to do so, as now I have published apps and no expertise on this at all.

I am starting to feel desperated.

#8

@fweffort I’m sorry you’re feeling frustrated.

Is there any guide on how to proceed with updates on existing standalone apps?

You can just run exp publish to push out updates to existing standalone apps.

Can you read the discussion here https://github.com/expo/expo/issues/1181 for the “maximum number of certificates” error? I’m guessing you didn’t delete the correct certificates but it’s hard to know without more information.

#9

As I am updating app.json I am required to exp build unfortunately.
I am hopeing I am not messing around with certificates and then clients will not be able to use app anymore.

closed #10

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.